{
  "schema_version": "1.4.0",
  "id": "GHSA-mvv4-4mqg-wq2g",
  "modified": "2025-04-11T03:45:17Z",
  "published": "2022-05-17T05:39:45Z",
  "aliases": [
    "CVE-2011-1137"
  ],
  "details": "Integer overflow in the mod_sftp (aka SFTP) module in ProFTPD 1.3.3d and earlier allows remote attackers to cause a denial of service (memory consumption leading to OOM kill) via a malformed SSH message.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2011-1137"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=681718"
    },
    {
      "type": "WEB",
      "url": "http://bugs.proftpd.org/show_bug.cgi?id=3586"
    },
    {
      "type": "WEB",
      "url": "http://bugs.proftpd.org/show_bug.cgi?id=3587"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2011-April/058344.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2011-April/058356.html"
    },
    {
      "type": "WEB",
      "url": "http://proftp.cvs.sourceforge.net/viewvc/proftp/proftpd/contrib/mod_sftp/mod_sftp.c?r1=1.29.2.1&r2=1.29.2.2"
    },
    {
      "type": "WEB",
      "url": "http://proftp.cvs.sourceforge.net/viewvc/proftp/proftpd/contrib/mod_sftp/packet.c?r1=1.14.2.2&r2=1.14.2.3"
    },
    {
      "type": "WEB",
      "url": "http://proftp.cvs.sourceforge.net/viewvc/proftp/proftpd/contrib/mod_sftp/packet.h?r1=1.3&r2=1.3.2.1"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/43234"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/43635"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/43978"
    },
    {
      "type": "WEB",
      "url": "http://slackware.com/security/viewer.php?l=slackware-security&y=2011&m=slackware-security.485806"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2011/dsa-2185"
    },
    {
      "type": "WEB",
      "url": "http://www.exploit-db.com/exploits/16129"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/46183"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2011/0617"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2011/0857"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2011-03-11T17:55:00Z"
  }
}